import { renderIcon, renderImg, renderSvg } from '@/utils/index';

import {
  DashboardOutlined,
  ExclamationCircleOutlined,
  ProfileOutlined,
  CheckCircleOutlined,
  SettingOutlined,
  ControlOutlined,
  ProjectOutlined,
  WalletOutlined,
  TableOutlined,
  SafetyOutlined,
  BellOutlined,
  BookOutlined,
  ToolOutlined,
  PictureOutlined,
  CameraOutlined,
  ApartmentOutlined,
  UserOutlined,
  FunctionOutlined,
  SendOutlined,
  LineChartOutlined,
} from '@vicons/antd';
import {
  OptionsSharp,
  DesktopOutline,
  DocumentTextOutline,
  DiamondOutline,
  FileTrayFullOutline,
} from '@vicons/ionicons5';

//前端路由图标映射表
export const constantRouterIcon = {
  DashboardOutlined: renderIcon(DashboardOutlined),
  OptionsSharp: renderIcon(OptionsSharp),
  ExclamationCircleOutlined: renderIcon(ExclamationCircleOutlined),
  ProfileOutlined: renderIcon(ProfileOutlined),
  CheckCircleOutlined: renderIcon(CheckCircleOutlined),
  SettingOutlined: renderIcon(SettingOutlined),
  ControlOutlined: renderIcon(ControlOutlined),
  WalletOutlined: renderIcon(WalletOutlined),
  DesktopOutline: renderIcon(DesktopOutline),
  ProjectOutlined: renderIcon(ProjectOutlined),
  DocumentTextOutline: renderIcon(DocumentTextOutline),
  DiamondOutline: renderIcon(DiamondOutline),
  TableOutlined: renderIcon(TableOutlined),
  SafetyOutlined: renderIcon(SafetyOutlined),
  BellOutlined: renderIcon(BellOutlined),
  BookOutlined: renderIcon(BookOutlined),
  ToolOutlined: renderIcon(ToolOutlined),
  PictureOutlined: renderIcon(PictureOutlined),
  CameraOutlined: renderIcon(CameraOutlined),
  ApartmentOutlined: renderIcon(ApartmentOutlined),
  UserOutlined: renderIcon(UserOutlined),
  FunctionOutlined: renderIcon(FunctionOutlined),
  SendOutlined: renderIcon(SendOutlined),
  LineChartOutlined: renderIcon(LineChartOutlined),
  FileTrayFullOutline: renderIcon(FileTrayFullOutline),
  OverviewIcon: renderSvg('overview'),
  RiskPointMonitoringIcon: renderSvg('risk-point-monitoring'),
  DisasterWarningIcon: renderSvg('disaster-warning'),
  DisasterControlIcon: renderSvg('disaster-control'),
  DisasterPrecaution: renderSvg('disaster-precaution'),
};
